#ifndef BITMAP_H
#define BITMAP_H

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif

#define BSIB_INVERTHOR    0
#define BSIB_INVERTVERT   1

#define BSIF_INVERTHOR    (1<<BSIB_INVERTHOR)
#define BSIF_INVERTVERT   (1<<BSIB_INVERTVERT)

struct BitMapScaleInfo {
	struct BitMap *bsi_SrcBitMap;      /* source BitMap                    */
	struct BitMap *bsi_DestBitMap;     /* destination BitMap               */
	struct BitMap *bsi_TempBitMap;     /* Temporary BitMap used to scale   */
	                                   /* the bitmap. If this field is set */
	                                   /* to NULL, then the function will  */
	                                   /* allocate one and release it      */
	                                   /* after having scaled the BitMap.  */
	UWORD bsi_HorNum, bsi_HorDen,      /* Numerator and denominator of the */
	                                   /* fraction the width of the BitMap */
	                                   /* will be scaled to. Each can be a */
	                                   /* number between 1 and 65535. None */
	                                   /* can be 0, or the function will   */
	                                   /* return FALSE.                    */
	      bsi_VertNum, bsi_VertDen;    /* Same as before, for the height   */
	UWORD bsi_SrcLeftEdge,             /* Left and top coordinates of the  */
	      bsi_SrcTopEdge;              /* first pixel of the source BitMap */
	UWORD bsi_DestLeftEdge,            /* Same as before, for the          */
	      bsi_DestTopEdge;             /* destination BitMap               */
	UWORD bsi_Width, bsi_Height;       /* Width and height of the BitMap   */
	UWORD bsi_Flags; };                /* There are just two flags yet:    */
	                                   /* BSIF_INVERTHOR to invert the     */
	                                   /* BitMap horizontally and          */
	                                   /* BSIF_INVERTVERT to invert it     */
	                                   /* vertically.                      */
#endif
